// components/avatar/avatar.js
import {
	imgServerUrl
} from '../../config/config.js'
Component({
	/**
	 * 组件的属性列表
	 */
	properties: {
		src: { // 头像连接
			type: String,
			value: '',
			observer(data) {
				wx.getImageInfo({
					src: data,
					fail: (res) => {
						this.setData({
							src: imgServerUrl + '/images/avatar/man.png'
						})
					}
				})
			}
		},
		size: { // 头像大小
			type: Number,
			value: 200
		}
	},
	/**
	 * 组件的初始数据
	 */
	data: {

	},

	/**
	 * 组件的方法列表
	 */
	methods: {

	}
})
